## WMS Event Report indication WMS Event Report indication |

## Functions

QmiIndicationWmsEventReportOutput * | qmi_indication_wms_event_report_output_ref ()
void | qmi_indication_wms_event_report_output_unref ()
gboolean | qmi_indication_wms_event_report_output_get_sms_on_ims ()
gboolean | qmi_indication_wms_event_report_output_get_smsc_address ()
gboolean | qmi_indication_wms_event_report_output_get_etws_plmn_information ()
gboolean | qmi_indication_wms_event_report_output_get_etws_message ()
gboolean | qmi_indication_wms_event_report_output_get_message_mode ()
gboolean | qmi_indication_wms_event_report_output_get_transfer_route_mt_message ()
gboolean | qmi_indication_wms_event_report_output_get_mt_message ()

## Types and Values

| QmiIndicationWmsEventReportOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationWmsEventReportOutput

## Description

## Functions

### qmi_indication_wms_event_report_output_ref ()

    QmiIndicationWmsEventReportOutput *
    qmi_indication_wms_event_report_output_ref
                                   (QmiIndicationWmsEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_indication_wms_event_report_output_unref ()

    void
    qmi_indication_wms_event_report_output_unref
                                   (QmiIndicationWmsEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |

Since: 1.0

### qmi_indication_wms_event_report_output_get_sms_on_ims ()

    gboolean
    qmi_indication_wms_event_report_output_get_sms_on_ims
                                   (QmiIndicationWmsEventReportOutput *self,
                                    gboolean *value_sms_on_ims,
                                    GError **error);

Get the 'SMS on IMS' field from `self` .

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |
value_sms_on_ims | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_wms_event_report_output_get_smsc_address ()

    gboolean
    qmi_indication_wms_event_report_output_get_smsc_address
                                   (QmiIndicationWmsEventReportOutput *self,
                                    const gchar **value_smsc_address,
                                    GError **error);

Get the 'SMSC Address' field from `self` .

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |
value_smsc_address | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_wms_event_report_output_get_etws_plmn_information ()

    gboolean
    qmi_indication_wms_event_report_output_get_etws_plmn_information
                                   (QmiIndicationWmsEventReportOutput *self,
                                    guint16 *value_etws_plmn_information_mcc,
                                    guint16 *value_etws_plmn_information_mnc,
                                    GError **error);

Get the 'ETWS PLMN Information' field from `self` .

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |
value_etws_plmn_information_mcc | a placeholder for the output guint16, or `NULL` if not required. |
value_etws_plmn_information_mnc | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_wms_event_report_output_get_etws_message ()

    gboolean
    qmi_indication_wms_event_report_output_get_etws_message
                                   (QmiIndicationWmsEventReportOutput *self,
                                    QmiWmsNotificationType *value_etws_message_notification_type,
                                    GArray **value_etws_message_raw_data,
                                    GError **error);

Get the 'ETWS Message' field from `self` .

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |
value_etws_message_notification_type | a placeholder for the output QmiWmsNotificationType, or `NULL` if not required. |
value_etws_message_raw_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_wms_event_report_output_get_message_mode ()

    gboolean
    qmi_indication_wms_event_report_output_get_message_mode
                                   (QmiIndicationWmsEventReportOutput *self,
                                    QmiWmsMessageMode *value_message_mode,
                                    GError **error);

Get the 'Message Mode' field from `self` .

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |
value_message_mode | a placeholder for the output QmiWmsMessageMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_wms_event_report_output_get_transfer_route_mt_message ()

    gboolean
    qmi_indication_wms_event_report_output_get_transfer_route_mt_message
                                   (QmiIndicationWmsEventReportOutput *self,
                                    QmiWmsAckIndicator *value_transfer_route_mt_message_ack_indicator,
                                    guint32 *value_transfer_route_mt_message_transaction_id,
                                    QmiWmsMessageFormat *value_transfer_route_mt_message_format,
                                    GArray **value_transfer_route_mt_message_raw_data,
                                    GError **error);

Get the 'Transfer Route MT Message' field from `self` .

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |
value_transfer_route_mt_message_ack_indicator | a placeholder for the output QmiWmsAckIndicator, or `NULL` if not required. |
value_transfer_route_mt_message_transaction_id | a placeholder for the output guint32, or `NULL` if not required. |
value_transfer_route_mt_message_format | a placeholder for the output QmiWmsMessageFormat, or `NULL` if not required. |
value_transfer_route_mt_message_raw_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_wms_event_report_output_get_mt_message ()

    gboolean
    qmi_indication_wms_event_report_output_get_mt_message
                                   (QmiIndicationWmsEventReportOutput *self,
                                    QmiWmsStorageType *value_mt_message_storage_type,
                                    guint32 *value_mt_message_memory_index,
                                    GError **error);

Get the 'MT Message' field from `self` .

#### Parameters

self | a QmiIndicationWmsEventReportOutput. |
value_mt_message_storage_type | a placeholder for the output QmiWmsStorageType, or `NULL` if not required. |
value_mt_message_memory_index | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

## Types and Values

### QmiIndicationWmsEventReportOutput

    typedef struct _QmiIndicationWmsEventReportOutput QmiIndicationWmsEventReportOutput;

The QmiIndicationWmsEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0